create or replace function customrun
 return plpdf3.t_Run
is
  --  v_RunProps plpdfv4.plpdf3.t_RunProps;
  v_run plpdf3.t_Run;
  l_font1 plpdf3.t_font;
begin
  --  v_RunProps.box := null;
  v_run.props := null;
  l_font1 := plpdf3.crFont( p_fontname => 'Helvetica');
  v_run.props.font := l_font1;
  v_run.run_type := 'text';
  v_run.image := null;
  v_run.text := 'Testing 123';
  v_run.barcode := null;
  return v_run;
end customrun;